VERSION = 0.2
MAKEFLAGS += --print-directory
PMT_CFLAGS = -std=c99 -Wall -Werror -pedantic \
			 -D_POSIX_SOURCE -DVERSION='$(VERSION)' \
			 -I. -Ilibowfat

ifneq ($(DEBUG),)
	PMT_CFLAGS += -g
else
	ifeq ($(CFLAGS),)
		CFLAGS = -O2
	endif
endif

override CFLAGS += $(PMT_CFLAGS)
