/*
 Copyright (C) 2005 Michael Hanselmann
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 
 $Id: rot13.c,v 1.3 2005/05/01 19:58:17 michael Exp $
*/

#include <stdlib.h>
#include <ctype.h>
#include "pmt.h"

PMT_MODULE_INIT(rot13) {
    return 1;
}

PMT_MODULE_IMPL(rot13) {
    for(int i = 0; i < len; ++i) {
        if(isalpha(buf[i])) {
            char c = buf[i];
            if((c >= 'a' && c <= 'm') || (c >= 'A' && c <= 'M')) {
                c += 13;
            }else if((c >= 'n' && c <= 'z') || (c >= 'N' && c <= 'Z')) {
                c -= 13;
            }
            buf[i] = c;
        }
    }
}

PMT_MODULE_END(rot13) { }
