/*
 Copyright (C) 2005 Michael Hanselmann
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 
 $Id: rot47.c,v 1.1 2005/06/14 19:45:57 michael Exp $
*/

#include <stdlib.h>
#include <ctype.h>
#include "pmt.h"

PMT_MODULE_INIT(rot47) {
    return 1;
}

PMT_MODULE_IMPL(rot47) {
    for(int i = 0; i < len; ++i) {
        char c = buf[i];
        if(c >= '!' && c <= 'O') c += 47;
        else if(c >= 'P' && c <= '~') c -= 47;
        buf[i] = c;
    }
}

PMT_MODULE_END(rot47) { }
