#ifndef _THROTTLE_H
#define _THROTTLE_H

#include "pmt.h"

#define PMT_THROTTLE \
    PMT_MODULE_TABLE_ENTRY(throttle, "Throttles the speed", throttle_parameters)

struct pmt_module_parameters throttle_parameters[] = {
    { "--to=<maxspeed>", "Don't pass more than <maxspeed> KiB/s [required]" },
    { NULL }
};

PMT_MODULE_DEF(throttle)

#endif
